package com.bonus.common.biz.enums;

import lombok.Getter;

@Getter
public enum TmTaskTypeEnum {

    TM_TASK_PURCHASE(0, "新购"),
    TM_TASK_PURCHASE_PART(1, "新购配件任务"),
    TM_TASK_LEASE(2, "领料任务"),
    TM_TASK_BACK(3, "退料任务"),
    TM_TASK_REPAIR(4, "维修任务"),
    TM_TASK_REPAIR_AUDIT(5, "修试后审核任务"),
    TM_TASK_SCRAP(6, "报废任务"),
    TM_TASK_SETTLEMENT(7, "结算任务"),
    TM_TASK_CHECK(8, "检验任务"),
    TM_TASK_FACTORY_MANAGEMENT(9, "物资厂家管理任务"),
    TM_TASK_AGREEMENT_MANAGEMENT(10, "新增协议任务"),
    TM_TASK_REPAIR_INPUT(11, "修饰后入库任务"),
    TM_TASK_PART_LEASE(12, "配件领料任务"),
    TM_TASK_PART_TYPE(13, "费用减免任务"),
    TM_TASK_REPAIR_NUM(14, "数量维修人员信息附件"),

    TM_TASK_DIRECT(16, "直转任务"),
    //盘点报废
    TM_TASK_PART_SCRAP(15, "盘点报废"),
    // 机具分公司领料任务
    TM_TASK_JJ_LEASE(20, "机具分公司领料任务"),
    //安全工器具领料任务
    TM_TASK_SAFE_LEASE(17, "安全工器具领料任务"),
    // 宏源领料领料任务
    TM_TASK_HY_LEASE(18, "宏源领料任务"),
    // 领用任务
    TM_TASK_LEASE_APPLY(19, "领用任务"),
    // 现场维修
    TM_TASK_FIELD(21, "现场维修任务"),
    // 材料站领料
    TM_TASK_MATERIAL_LEASE(22, "材料站领料任务"),
    // 材料站退料
    TM_TASK_MATERIAL_BACK(23, "材料站退料任务"),
    // 材料站预约退料
    TM_TASK_MATERIAL_BACK_APPOINT(24, "材料站预约退料任务");




    private final Integer taskTypeId;
    private final String taskTypeName;

    TmTaskTypeEnum(Integer taskTypeId, String taskTypeName) {
        this.taskTypeId = taskTypeId;
        this.taskTypeName = taskTypeName;
    }
}
